<div id="derniersBugsRepertories" class="d-flex flex-column pt-1 pb-1 ps-2 pe-2 ">
  <div id="container-title" class="d-flex flex-row align-items-center">
    <i class="fa-solid fa-align-justify w-2 me-1"></i>
    <span class="title">Derniers bugs non-assignés</span>
  </div>
  <span class="total-resolved d-flex align-items-center mb-1">
    <input type="checkbox" class="resolvedCheck me-1" value="" disabled="disabled" checked="checked"/>
    <span class="resolvedCheck-count" *ngIf="derniersBugsRepertories && derniersBugsRepertoriesNonAssignes" >{{ derniersBugsRepertoriesNonAssignes.length }}/{{ derniersBugsRepertories.length }}</span>
  </span>
  <span *ngIf="derniersBugsRepertoriesNonAssignes.length != 0" class="gestionnaire-bugs mb-1">S'assigner un bug</span>
  <span *ngFor="let bug of derniersBugsRepertoriesNonAssignes | slice:0:5; index as index;" class="intitule-bug mb-1">
    <input type="checkbox" id="assignToMe" value="assignToMe" (click)="assignToMe(bug)" /><span style="cursor: pointer;" (click)="openVerticallyCentered(mymodal, bug)"> #{{ bug.id }} {{ bug.typeErreur?.nom }}</span>
  </span>
</div>

<!-- popup -->
<ng-template #mymodal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">#{{ bugDetails.id }} {{ bugDetails.typeErreur?.nom }}</h4>
    <button  type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click');"></button>
  </div>
  <div class="modal-body">
    <div class="ps-5 pe-5">
      <table class="bugs-table w-100">
        <caption class="ms-1">Détails du Bug</caption>
        <tr>
          <th scope="col">ID</th>
          <td>{{ bugDetails?.id }}</td>
        </tr>
        <tr>
          <th scope="col">DETAILS</th>
          <td>{{ bugDetails?.fonctionnalite?.details }}</td>
        </tr>
        <tr>
          <th scope="col">COMMENTAIRE</th>
          <td>{{ bugDetails?.commentaire }}</td>
        </tr>
        <tr>
          <th scope="col">SCENARIO</th>
          <td>{{ bugDetails?.fonctionnalite?.scenario }}</td>
        </tr>
        <tr>
          <th scope="col">RESULTAT ATTENDU</th>
          <td>{{ bugDetails?.fonctionnalite?.resultatAttendu }}</td>
        </tr>
        <tr>
          <th scope="col">PROJET</th>
          <td>{{ bugDetails?.projet_projet_id?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">PLAN DE TESTS</th>
          <td>{{ bugDetails?.testPlan?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">GROUPE FONCTIONNALITE</th>
          <td>{{ bugDetails?.groupeFonctionnalites?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">FONCTIONNALITE</th>
          <td>{{ bugDetails?.fonctionnalite?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">BETA TESTEUR</th>
          <td>{{ bugDetails?.betaTesteur?.prenom }} {{ bugDetails?.betaTesteur?.nom }}</td>
        </tr>
        <tr>
          <th scope="col">ASSIGNE A</th>
          <td>{{ bugDetails?.assigne_a_utilisateur_id?.prenom }} {{ bugDetails?.assigne_a_utilisateur_id?.nom }}</td>
        </tr>
      </table>
    </div>
  </div>
</ng-template>
